#!/usr/bin/env python

from KicadModTree import *  # NOQA
from scripts.tools.drawing_tools import *
from scripts.tools.footprint_scripts_resistorlike import *


if __name__ == '__main__':
    # standard resistors: http://cdn-reichelt.de/documents/datenblatt/B400/1_4W%23YAG.pdf
    type = "cyl"
    d2=0

    # axial Chokes
    classname="L"
    libname = "Inductor_THT"
    seriesname = "Axial"
    w = 9.5
    d = 4
    ddrill = 1
    R_POW = 0
    add_description="http://cdn-reichelt.de/documents/datenblatt/B400/DS_SMCC_NEU.pdf, http://cdn-reichelt.de/documents/datenblatt/B400/LEADEDINDUCTORS.pdf"
    name_additions=["Fastron","SMCC"]

    for rm in [12.7,15.24]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [2.54,5.08]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 7; d = 3.3; ddrill = 0.8; R_POW = 0; add_description="http://www.fastrongroup.com/image-show/70/MICC.pdf?type=Complete-DataSheet&productType=series"; name_additions=["Fastron","MICC"]
    for rm in [10.16,12.7]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [2.54,5.08]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 24; d = 7.5; ddrill = 1.2; R_POW = 0; add_description="http://cdn-reichelt.de/documents/datenblatt/B400/DS_MESC.pdf"; name_additions=["Fastron","MESC"]
    for rm in [27.94]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [5.08,7.62]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 16; d = 7.5; ddrill = 1.1; R_POW = 0; add_description="http://www.fastrongroup.com/image-show/26/XHBCC.pdf?type=Complete-DataSheet&productType=series"; name_additions=["Fastron","XHBCC"]
    for rm in [20.32,25.4]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [5.08,7.62]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 16; d = 6.3; ddrill = 1.1; R_POW = 0; add_description="http://www.fastrongroup.com/image-show/25/VHBCC.pdf?type=Complete-DataSheet&productType=series"; name_additions=["Fastron","VHBCC"]
    for rm in [20.32,25.4]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [5.08,7.62]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 14.5; d = 5.8; ddrill = 1.1; R_POW = 0; add_description="http://www.fastrongroup.com/image-show/18/HBCC.pdf?type=Complete-DataSheet&productType=series"; name_additions=["Fastron","HBCC"]
    for rm in [20.32,25.4]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [5.08,7.62]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 12.8; d = 5.8; ddrill = 1.1; R_POW = 0; add_description="http://www.fastrongroup.com/image-show/18/HBCC.pdf?type=Complete-DataSheet&productType=series"; name_additions=["Fastron","HBCC"]
    for rm in [20.32,25.4]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [5.08,7.62]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 12; d = 5; ddrill = 1.2; R_POW = 0; add_description="http://cdn-reichelt.de/documents/datenblatt/B400/DS_MISC.pdf"; name_additions=["Fastron","MISC"]
    for rm in [15.24]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [5.08,7.62]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 11; d = 4.5; ddrill = 1.0; R_POW = 0; add_description="http://www.fastrongroup.com/image-show/21/MECC.pdf?type=Complete-DataSheet&productType=series"; name_additions=["Fastron","MECC"]
    for rm in [15.24]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [5.08,7.62]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 13; d = 4.5; ddrill = 1.2; R_POW = 0; add_description="http://www.fastrongroup.com/image-show/19/HCCC.pdf?type=Complete-DataSheet&productType=series"; name_additions=["Fastron","HCCC"]
    for rm in [15.24]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [5.08,7.62]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 14; d = 4.5; ddrill = 1.0; R_POW = 0; add_description="http://www.fastrongroup.com/image-show/20/LACC.pdf?type=Complete-DataSheet&productType=series"; name_additions=["Fastron","LACC"]
    for rm in [15.24]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [5.08,7.62]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 20; d = 8; ddrill = 1.2; R_POW = 0; add_description=""; name_additions=[]
    for rm in [25.4]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [5.08,7.62]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 30; d = 8; ddrill = 1.4; R_POW = 0; add_description="http://cdn-reichelt.de/documents/datenblatt/B400/DS_77A.pdf"; name_additions=["Fastron","77A"]
    for rm in [35.56]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [5.08,7.62]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 26; d = 9; ddrill = 1.2; R_POW = 0; add_description="http://cdn-reichelt.de/documents/datenblatt/B400/DS_77A.pdf"; name_additions=["Fastron","77A"]
    for rm in [30.48]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [5.08,7.62]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 26; d = 10; ddrill = 1.2; R_POW = 0; add_description="http://cdn-reichelt.de/documents/datenblatt/B400/DS_77A.pdf"; name_additions=["Fastron","77A"]
    for rm in [30.48]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [5.08,7.62]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 26; d = 11; ddrill = 1.2; R_POW = 0; add_description="http://cdn-reichelt.de/documents/datenblatt/B400/DS_77A.pdf"; name_additions=["Fastron","77A"]
    for rm in [30.48]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [5.08,7.62]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 5.3; d = 2.2; ddrill = 0.8; R_POW = 0; add_description="http://www.vishay.com/docs/34030/im.pdf"; name_additions=["Vishay","IM-1"]
    for rm in [7.62,10.16]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [2.54]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 6.6; d = 2.7; ddrill = 0.8; R_POW = 0; add_description="http://www.vishay.com/docs/34030/im.pdf"; name_additions=["Vishay","IM-2"]
    for rm in [10.16]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [2.54]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 24; d = 7.1; ddrill = 1.0; R_POW = 0; add_description="http://www.vishay.com/docs/34035/im10.pdf"; name_additions=["Vishay","IM-10-28"]
    for rm in [30.48]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [5.08]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 24; d = 7.1; ddrill = 1.0; R_POW = 0; add_description="http://www.vishay.com/docs/34035/im10.pdf"; name_additions=["Vishay","IM-10-28"]
    for rm in [30.48]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [5.08]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 16; d = 9.5; ddrill = 1; R_POW = 0; add_description="http://www.vishay.com/docs/34030/im10.pdf"; name_additions=["Vishay","IM-10-37"]
    for rm in [20.32]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [5.08]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 17.5; d = 12; ddrill = 1; R_POW = 0; add_description="http://www.vishay.com/docs/34030/im10.pdf"; name_additions=["Vishay","IM-10-46"]
    for rm in [20.32]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [7.62]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 20.32; d = 12.07; ddrill = 1.2; R_POW = 0; add_description="http://www.vishay.com/docs/34014/iha.pdf"; name_additions=["Vishay","IHA-101"]
    for rm in [28.5]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [7.62]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 26.67; d = 12.07; ddrill = 1.2; R_POW = 0; add_description="http://www.vishay.com/docs/34014/iha.pdf"; name_additions=["Vishay","IHA-103"]
    for rm in [35]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [7.62]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 26.67; d = 13.97; ddrill = 1.2; R_POW = 0; add_description="http://www.vishay.com/docs/34014/iha.pdf"; name_additions=["Vishay","IHA-104"]
    for rm in [35]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [7.62]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 29.85; d = 13.97; ddrill = 1.2; R_POW = 0; add_description="http://www.vishay.com/docs/34014/iha.pdf"; name_additions=["Vishay","IHA-105"]
    for rm in [38]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [7.62]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 23.37; d = 12.7; ddrill = 1.2; R_POW = 0; add_description="http://www.vishay.com/docs/34014/iha.pdf"; name_additions=["Vishay","IHA-203"]
    for rm in [32]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [7.62]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    seriesname = "Axial"; w = 20.32; d = 12.7; ddrill = 1.2; R_POW = 0; add_description="http://www.vishay.com/docs/34014/iha.pdf"; name_additions=["Vishay","IHA-201"]
    for rm in [25.4]:
        makeResistorAxialHorizontal(seriesname=seriesname, rm=rm, rmdisp=rm, w=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)
    for rm in [7.62]:
        makeResistorAxialVertical(seriesname=seriesname, rm=rm, rmdisp=rm, l=w, d=d, ddrill=ddrill, R_POW=R_POW, type=type, d2=d2, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", largepadsx=0, largepadsy=0, add_description=add_description, name_additions=name_additions, specialtags=name_additions, classname=classname, lib_name=libname)

    # radial Chokes
    rm2=0; w2=0
    type = "round"
    seriesname = "Radial"
    classname = "L"
    libname = "Inductor_THT"

    w = 12.5; w2=w; h = w; ddrill = 1.2; rm=9.0; rm2=0; R_POW=0; add_description = "http://cdn-reichelt.de/documents/datenblatt/B400/DS_09HCP.pdf"; name_additions=["Fastron", "09HCP"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=10.8)
    w = 12.5; w2=w; h = w; ddrill = 1.2; rm=7.0; rm2=0; R_POW=0; add_description = "http://cdn-reichelt.de/documents/datenblatt/B400/DS_09HCP.pdf"; name_additions=["Fastron", "09HCP"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=10.8)
    w = 13.5; w2=w; h = w; ddrill = 1.2; rm=7.0; rm2=0; R_POW=0; add_description = "http://cdn-reichelt.de/documents/datenblatt/B400/DS_09HCP.pdf"; name_additions=["Fastron", "09HCP"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=10.8)
    w = 12.0; w2=w; h = w; ddrill = 1.3; rm=5.0; rm2=0; R_POW=0; add_description = "http://cdn-reichelt.de/documents/datenblatt/B400/DS_11P.pdf"; name_additions=["Fastron", "11P"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=16)
    w = 12.0; w2=w; h = w; ddrill = 1.6; rm=6.0; rm2=0; R_POW=0; add_description = "http://www.murata-ps.com/data/magnetics/kmp_1900r.pdf"; name_additions=["Murata", "1900R"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=21)
    w = 7.2; w2=w; h = w; ddrill = 1.2; rm=3.0; rm2=0; R_POW=0; add_description = "http://www.murata-ps.com/data/magnetics/kmp_1700.pdf"; name_additions=["Murata", "1700"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=8.5)
    w = 10.5; w2=w; h = w; ddrill = 1.3; rm=5.0; rm2=0; R_POW=0; add_description = "http://www.abracon.com/Magnetics/radial/AISR-01.pdf"; name_additions=["Abacron", "AISR-01"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=10.5)
    w = 10; w2=w; h = w; ddrill = 1.3; rm=5.0; rm2=0; R_POW=0; add_description = "http://www.fastrongroup.com/image-show/37/07M.pdf?type=Complete-DataSheet&productType=series"; name_additions=["Fastron", "07M"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=12.7)
    w = 8.7; w2=w; h = w; ddrill = 1.3; rm=5.0; rm2=0; R_POW=0; add_description = "http://cdn-reichelt.de/documents/datenblatt/B400/DS_07HCP.pdf"; name_additions=["Fastron", "07HCP"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=10)
    w = 7.8; w2=w; h = w; ddrill = 1.3; rm=5.0; rm2=0; R_POW=0; add_description = "http://www.abracon.com/Magnetics/radial/AISR875.pdf"; name_additions=["Fastron", "07HCP"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=7.5)
    w = 7.5; w2=w; h = w; ddrill = 1.3; rm=5.0; rm2=0; R_POW=0; add_description = "http://www.fastrongroup.com/image-show/39/07P.pdf?type=Complete-DataSheet&productType=series"; name_additions=["Fastron", "07P"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=12.5)
    w = 7.5; w2=w; h = w; ddrill = 1.3; rm=3.5; rm2=0; R_POW=0; add_description = "http://www.fastrongroup.com/image-show/39/07P.pdf?type=Complete-DataSheet&productType=series"; name_additions=["Fastron", "07P"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=12.5)
    w = 9.5; w2=w; h = w; ddrill = 1.3; rm=5.0; rm2=0; R_POW=0; add_description = "http://www.fastrongroup.com/image-show/107/07HVP%2007HVP_T.pdf?type=Complete-DataSheet&productType=series"; name_additions=["Fastron", "07HVP"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=10)
    w = 10; w2=w; h = w; ddrill = 1.3; rm=5.0; rm2=0; R_POW=0; add_description = "http://www.fastrongroup.com/image-show/37/07M.pdf?type=Complete-DataSheet&productType=series"; name_additions=["Fastron", "07P"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=12.5)
    w = 7; w2=w; h = w; ddrill = 1.3; rm=3.0; rm2=0; R_POW=0; add_description = "http://www.abracon.com/Magnetics/radial/AIUR-16.pdf"; name_additions=[]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=9.5)
    w = 6.0; w2=w; h = w; ddrill = 1; rm=4.0; rm2=0; R_POW=0; add_description = "http://www.abracon.com/Magnetics/radial/AIUR-07.pdf"; name_additions=[]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=4.6)
    w = 18; w2=w; h = w; ddrill = 1; rm=10.0; rm2=0; R_POW=0; add_description = "http://www.abracon.com/Magnetics/radial/AIUR-15.pdf"; name_additions=[]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=1.5*w)
    w = 21; w2=w; h = w; ddrill = 1; rm=19.0; rm2=0; R_POW=0; add_description = "http://www.abracon.com/Magnetics/radial/AIRD02.pdf"; name_additions=[]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=21)
    w = 24; w2=w; h = w; ddrill = 1.5; rm=24.0; rm2=0; R_POW=0; add_description = ""; name_additions=[]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=24)
    w = 28; w2=w; h = w; ddrill = 1.5; rm=29.2; rm2=0; R_POW=0; add_description = ""; name_additions=[]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=28)

    type = "concentric"
    w = 24.4; w2=5.5; h = w; ddrill = 2.6; rm=23.9; rm2=0; R_POW=0; add_description = "http://www.murata-ps.com/data/magnetics/kmp_1400.pdf"; name_additions=["Murata", "1400series"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=10.5)
    w = 24.4; w2=5.5; h = w; ddrill = 2.1; rm=23.7; rm2=0; R_POW=0; add_description = "http://www.murata-ps.com/data/magnetics/kmp_1400.pdf"; name_additions=["Murata", "1400series"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=10.5)
    w = 24.4; w2=5.5; h = w; ddrill = 1.5; rm=23.4; rm2=0; R_POW=0; add_description = "http://www.murata-ps.com/data/magnetics/kmp_1400.pdf"; name_additions=["Murata", "1400series"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=10.5)
    w = 24.4; w2=5.5; h = w; ddrill = 1.0; rm=23.1; rm2=0; R_POW=0; add_description = "http://www.murata-ps.com/data/magnetics/kmp_1400.pdf"; name_additions=["Murata", "1400series"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=10.5)
    w = 24.4; w2=5.5; h = w; ddrill = 0.8; rm=22.9; rm2=0; R_POW=0; add_description = "http://www.murata-ps.com/data/magnetics/kmp_1400.pdf"; name_additions=["Murata", "1400series"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=10.5)
    w = 29.8; w2=5.1; h = w; ddrill = 2.6; rm=29.3; rm2=0; R_POW=0; add_description = "http://www.murata-ps.com/data/magnetics/kmp_1400.pdf"; name_additions=["Murata", "1400series"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=10.5)
    w = 29.8; w2=5.1; h = w; ddrill = 2.0; rm=29; rm2=0; R_POW=0; add_description = "http://www.murata-ps.com/data/magnetics/kmp_1400.pdf"; name_additions=["Murata", "1400series"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=10.5)
    w = 29.8; w2=5.1; h = w; ddrill = 1.5; rm=28.8; rm2=0; R_POW=0; add_description = "http://www.murata-ps.com/data/magnetics/kmp_1400.pdf"; name_additions=["Murata", "1400series"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=10.5)
    w = 29.8; w2=5.1; h = w; ddrill = 1; rm=28.5; rm2=0; R_POW=0; add_description = "http://www.murata-ps.com/data/magnetics/kmp_1400.pdf"; name_additions=["Murata", "1400series"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=10.5)
    w = 29.8; w2=5.1; h = w; ddrill = 0.8; rm=28.3; rm2=0; R_POW=0; add_description = "http://www.murata-ps.com/data/magnetics/kmp_1400.pdf"; name_additions=["Murata", "1400series"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=10.5)
    w = 16.8; w2=2.92; h = w; ddrill = 1.4; rm=11.43; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34015/ihb.pdf"; name_additions=["Vishay", "IHB-1"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=21.34)
    w = 16.8; w2=2.92; h = w; ddrill = 1.0; rm=12.07; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34015/ihb.pdf"; name_additions=["Vishay", "IHB-1"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=21.34)
    w = 16.8; w2=2.92; h = w; ddrill = 1.0; rm=12.70; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34015/ihb.pdf"; name_additions=["Vishay", "IHB-1"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=21.34)
    w = 21; w2=2.92; h = w; ddrill = 1.6; rm=15.75; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34015/ihb.pdf"; name_additions=["Vishay", "IHB-2"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=21.34)
    w = 21; w2=2.92; h = w; ddrill = 1.3; rm=14.61; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34015/ihb.pdf"; name_additions=["Vishay", "IHB-2"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=21.34)
    w = 21; w2=2.92; h = w; ddrill = 1.2; rm=15.24; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34015/ihb.pdf"; name_additions=["Vishay", "IHB-2"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=21.34)
    w = 21; w2=2.92; h = w; ddrill = 0.8; rm=15; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34015/ihb.pdf"; name_additions=["Vishay", "IHB-2"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=21.34)
    w = 27.9; w2=2.92; h = w; ddrill = 2.1; rm=20.07; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34015/ihb.pdf"; name_additions=["Vishay", "IHB-3"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=21.34)
    w = 27.9; w2=2.92; h = w; ddrill = 1.8; rm=19.05; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34015/ihb.pdf"; name_additions=["Vishay", "IHB-3"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=21.34)
    w = 27.9; w2=2.92; h = w; ddrill = 1.8; rm=18.29; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34015/ihb.pdf"; name_additions=["Vishay", "IHB-3"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=21.34)
    w = 40.64; w2=4.45; h = w; ddrill = 2.2; rm=27.94; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34015/ihb.pdf"; name_additions=["Vishay", "IHB-4"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=26.16)
    w = 40.64; w2=4.45; h = w; ddrill = 1; rm=27.18; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34015/ihb.pdf"; name_additions=["Vishay", "IHB-4"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=26.16)
    w = 40.64; w2=4.45; h = w; ddrill = 2.4; rm=28.70; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34015/ihb.pdf"; name_additions=["Vishay", "IHB-5"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=36.83)
    w = 40.64; w2=4.45; h = w; ddrill = 2.2; rm=27.94; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34015/ihb.pdf"; name_additions=["Vishay", "IHB-5"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=36.83)
    w = 40.64; w2=4.45; h = w; ddrill = 1.3; rm=26.16; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34015/ihb.pdf"; name_additions=["Vishay", "IHB-5"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=36.83)
    w = 50.80; w2=4.45; h = w; ddrill = 2.9; rm=36.32; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34015/ihb.pdf"; name_additions=["Vishay", "IHB-6"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=38.10)
    w = 50.80; w2=6.10; h = w; ddrill = 2.9; rm=38.86; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34015/ihb.pdf"; name_additions=["Vishay", "IHB-6"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=38.10)
    w = 50.80; w2=6.10; h = w; ddrill = 2.1; rm=35.81; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34015/ihb.pdf"; name_additions=["Vishay", "IHB-6"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=38.10)
    w = 50.80; w2=6.10; h = w; ddrill = 1.9; rm=34.29; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34015/ihb.pdf"; name_additions=["Vishay", "IHB-6"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=38.10)
    w = 50.80; w2=6.10; h = w; ddrill = 1.6; rm=33.27; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34015/ihb.pdf"; name_additions=["Vishay", "IHB-6"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=38.10)

    type = "simplesymm45";
    w = 9.14; w2=w; h = w; ddrill = 1; rm=6.35; rm2=rm; R_POW=0; add_description = "http://datasheet.octopart.com/PE-54044NL-Pulse-datasheet-5313493.pdf"; name_additions=["Pulse", "LP-25"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=7.87)
    w = 10.16; w2=w; h = w; ddrill = 1; rm=7.62; rm2=rm; R_POW=0; add_description = "http://datasheet.octopart.com/PE-54044NL-Pulse-datasheet-5313493.pdf"; name_additions=["Pulse", "LP-30"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=7.62)
    w = 12.57; w2=w; h = w; ddrill = 1; rm=9.52; rm2=rm; R_POW=0; add_description = "http://datasheet.octopart.com/PE-54044NL-Pulse-datasheet-5313493.pdf"; name_additions=["Pulse", "LP-37"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=9.52)
    w = 16.13; w2=w; h = w; ddrill = 1; rm=7.62; rm2=12.7; R_POW=0; add_description = "http://datasheet.octopart.com/PE-54044NL-Pulse-datasheet-5313493.pdf"; name_additions=["Pulse", "LP-44"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=9.27)



    rm2=0; w2=0
    type = "round"
    classname = "L_Toroid"
    libname = "Inductor_THT"
    deco="chokewire"
    type = "concentric"
    seriesname = "Horizontal"

    w = 40; w2=w/3; h = w; ddrill = 1.5; rm=48.26; rm2=0; R_POW=0; add_description = ""; name_additions=[]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=4)
    w = 0.125*25.4; w2=0.062*25.4; h = w; ddrill = 1; rm=6.4; rm2=0; R_POW=0; add_description = ""; name_additions=["Diameter3-5mm","Amidon-T12"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=4)
    w = 0.160*25.4; w2=0.078*25.4; h = w; ddrill = 1; rm=8; rm2=0; R_POW=0; add_description = ""; name_additions=["Diameter4-5mm","Amidon-T16"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=4)
    w = 0.200*25.4; w2=0.088*25.4; h = w; ddrill = 1; rm=9; rm2=0; R_POW=0; add_description = ""; name_additions=["Diameter6-5mm","Amidon-T20"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=4.5)
    w = 0.255*25.4; w2=0.120*25.4; h = w; ddrill = 1; rm=10; rm2=0; R_POW=0; add_description = ""; name_additions=["Diameter7-5mm","Amidon-T25"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=5)
    w = 0.307*25.4; w2=0.151*25.4; h = w; ddrill = 1.2; rm=13; rm2=0; R_POW=0; add_description = ""; name_additions=["Diameter9-5mm","Amidon-T30"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=5.5)
    w = 0.375*25.4; w2=0.205*25.4; h = w; ddrill = 1.2; rm=15; rm2=0; R_POW=0; add_description = ""; name_additions=["Diameter10-5mm","Amidon-T37"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=6)
    w = 0.440*25.4; w2=0.229*25.4; h = w; ddrill = 1.2; rm=17; rm2=0; R_POW=0; add_description = ""; name_additions=["Diameter12-5mm","Amidon-T44"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=6.5)
    w = 0.500*25.4; w2=0.303*25.4; h = w; ddrill = 1.2; rm=20; rm2=0; R_POW=0; add_description = ""; name_additions=["Diameter14-5mm","Amidon-T50"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=7)
    w = 16.8; w2=w/3; h = w; ddrill = 1.5; rm=14.7; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34079/tj.pdf"; name_additions=["Vishay", "TJ3", "BigPads"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=8.2)
    w = 16.8; w2=w/3; h = w; ddrill = 1.2; rm=14.7; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34079/tj.pdf"; name_additions=["Vishay", "TJ3"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=8.2)
    w = 17.3; w2=w/3; h = w; ddrill = 1.8; rm=15.24; rm2=0; R_POW=0; add_description = "http://www.bourns.com/docs/Product-Datasheets/2000_series.pdf?sfvrsn=5"; name_additions=["Bourns", "2000"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=10.4)
    w = 21.8; w2=w/3; h = w; ddrill = 1.8; rm=19.6; rm2=0; R_POW=0; add_description = "http://www.bourns.com/docs/Product-Datasheets/2100_series.pdf?sfvrsn=3"; name_additions=["Bourns", "2100"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=10.4)
    w = 21.8; w2=w/3; h = w; ddrill = 1.8; rm=19.1; rm2=0; R_POW=0; add_description = "http://www.bourns.com/docs/Product-Datasheets/2100_series.pdf?sfvrsn=3"; name_additions=["Bourns", "2100"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=11.4)
    w = 22.4; w2=w/3; h = w; ddrill = 1.5; rm=19.8; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34079/tj.pdf"; name_additions=["Vishay", "TJ4"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=10.2)
    w = 24.1; w2=w/3; h = w; ddrill = 1.8; rm=21.8; rm2=0; R_POW=0; add_description = "http://www.bourns.com/docs/Product-Datasheets/2100_series.pdf?sfvrsn=3"; name_additions=["Bourns", "2200"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=14)
    w = 24.1; w2=w/3; h = w; ddrill = 1.8; rm=23.1; rm2=0; R_POW=0; add_description = "http://www.bourns.com/docs/Product-Datasheets/2100_series.pdf?sfvrsn=3"; name_additions=["Bourns", "2200"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=14)
    w = 25.4; w2=w/3; h = w; ddrill = 1.5; rm=22.9; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34079/tj.pdf"; name_additions=["Vishay", "TJ5", "BigPads"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=11.4)
    w = 25.4; w2=w/3; h = w; ddrill = 1.2; rm=22.9; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34079/tj.pdf"; name_additions=["Vishay", "TJ5"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=11.4)
    w = 28; w2=w/3; h = w; ddrill = 1.5; rm=26.67; rm2=0; R_POW=0; add_description = "http://www.bourns.com/docs/Product-Datasheets/2100_series.pdf?sfvrsn=3"; name_additions=["Bourns", "2200"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=14)
    w = 28; w2=w/3; h = w; ddrill = 1.3; rm=25.1; rm2=0; R_POW=0; add_description = "http://www.bourns.com/docs/Product-Datasheets/2100_series.pdf?sfvrsn=3"; name_additions=["Bourns", "2200"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=14)
    w = 32.5; w2=w/3; h = w; ddrill = 2; rm=30; rm2=0; R_POW=0; add_description = "http://www.bourns.com/docs/Product-Datasheets/2300_series.pdf?sfvrsn=3"; name_additions=["Bourns", "2300"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=16.5)
    w = 32.5; w2=w/3; h = w; ddrill = 1.5; rm=28.9; rm2=0; R_POW=0; add_description = "http://www.bourns.com/docs/Product-Datasheets/2300_series.pdf?sfvrsn=3"; name_additions=["Bourns", "2300"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=16.5)
    w = 35.1; w2=w/3; h = w; ddrill = 1.5; rm=31.0; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34079/tj.pdf"; name_additions=["Vishay", "TJ6"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=21.1)
    w = 41.9; w2=w/3; h = w; ddrill = 1.5; rm=37.6; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34079/tj.pdf"; name_additions=["Vishay", "TJ7"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=19.1)
    w = 49.3; w2=w/3; h = w; ddrill = 1.7; rm=44.6; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34079/tj.pdf"; name_additions=["Vishay", "TJ8"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=25.4)
    w = 69.1; w2=w/3; h = w; ddrill = 2; rm=63.2; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34079/tj.pdf"; name_additions=["Vishay", "TJ9"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=36.1)

    type = "simple90"
    seriesname = "Vertical"
    deco="chokewire"

    w = 10; w2=w/3; h = 5; ddrill = 1.0; rm=5.08; rm2=0; iw=w*0.8; ih=rm; R_POW=0; add_description = ""; name_additions=[]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, innerw=iw, innerh=ih, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 13; w2=w/3; h = 6.5; ddrill = 1.3; rm=5.6; rm2=0; iw=w*0.8; ih=rm; R_POW=0; add_description = ""; name_additions=[]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, innerw=iw, innerh=ih, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 16; w2=w/3; h = 8; ddrill = 1.5; rm=7.62; rm2=0; iw=w*0.8; ih=rm; R_POW=0; add_description = ""; name_additions=[]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, innerw=iw, innerh=ih, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 14.73; w2=w/3; h = 8.64; ddrill = 1.8; rm=2.79*2; rm2=0; iw=w*0.8; ih=rm; R_POW=0; add_description = "http://datasheet.octopart.com/PE-92112KNL-Pulse-datasheet-17853305.pdf"; name_additions=["Pulse", "KM-1"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, innerw=iw, innerh=ih, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 16.51; w2=w/3; h = 11.43; ddrill = 1.8; rm=3.81*2; rm2=0; iw=w*0.8; ih=rm; R_POW=0; add_description = "http://datasheet.octopart.com/PE-92112KNL-Pulse-datasheet-17853305.pdf"; name_additions=["Pulse", "KM-2"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, innerw=iw, innerh=ih, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 21.59; w2=w/3; h = 11.43; ddrill = 1.8; rm=3.81*2; rm2=0; iw=w*0.8; ih=rm; R_POW=0; add_description = "http://datasheet.octopart.com/PE-92112KNL-Pulse-datasheet-17853305.pdf"; name_additions=["Pulse", "KM-3"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, innerw=iw, innerh=ih, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 24.64; w2=w/3; h = 15.5; ddrill = 1.8; rm=5.72*2; rm2=0; iw=w*0.8; ih=rm; R_POW=0; add_description = "http://datasheet.octopart.com/PE-92112KNL-Pulse-datasheet-17853305.pdf"; name_additions=["Pulse", "KM-4"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, innerw=iw, innerh=ih, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 33.02; w2=w/3; h = 17.78; ddrill = 1.8; rm=6.35*2; rm2=0; iw=w*0.8; ih=rm; R_POW=0; add_description = "http://datasheet.octopart.com/PE-92112KNL-Pulse-datasheet-17853305.pdf"; name_additions=["Pulse", "KM-5"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, innerw=iw, innerh=ih, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 13.97; w2 = w / 3; h = 6.35; ddrill = 1.5; rm = 4.57; R_POW=0; add_description = "http://datasheet.octopart.com/PE-92112KNL-Pulse-datasheet-17853305.pdf"; name_additions=["Pulse", "A"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 17.78; w2 = w / 3; h = 9.65; ddrill = 1.5; rm = 7.11; R_POW=0; add_description = "http://datasheet.octopart.com/PE-92112KNL-Pulse-datasheet-17853305.pdf"; name_additions=["Pulse", "B"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 21.59; w2 = w / 3; h = 9.53; ddrill = 1.8; rm = 7.11; R_POW=0; add_description = "http://datasheet.octopart.com/PE-92112KNL-Pulse-datasheet-17853305.pdf"; name_additions=["Pulse", "C"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 26.67; w2 = w / 3; h = 13.97; ddrill = 1.8; rm = 10.16; R_POW=0; add_description = "http://datasheet.octopart.com/PE-92112KNL-Pulse-datasheet-17853305.pdf"; name_additions=["Pulse", "D"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 35.56; w2 = w / 3; h = 17.78; ddrill = 1.8; rm = 12.7; R_POW=0; add_description = "http://datasheet.octopart.com/PE-92112KNL-Pulse-datasheet-17853305.pdf"; name_additions=["Pulse", "E"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 41.91; w2 = w / 3; h = 17.78; ddrill = 1.8; rm = 12.7; R_POW=0; add_description = "http://datasheet.octopart.com/PE-92112KNL-Pulse-datasheet-17853305.pdf"; name_additions=["Pulse", "F"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 21.59; w2 = w / 3; h = 8.38; ddrill = 1.5; rm = 8.38; R_POW=0; add_description = "http://datasheet.octopart.com/PE-92112KNL-Pulse-datasheet-17853305.pdf"; name_additions=["Pulse", "G"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 16.26; w2 = w / 3; h = 7.11; ddrill = 1.5; rm = 7.11; R_POW=0; add_description = "http://datasheet.octopart.com/PE-92112KNL-Pulse-datasheet-17853305.pdf"; name_additions=["Pulse", "H"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 16.4; w2=w/3; h = 7.6; ddrill = 1.2; rm=6.6; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34079/tj.pdf"; name_additions=["Vishay", "TJ3"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 16.8; w2=w/3; h = 9.2; ddrill = 1.5; rm=7.1; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34079/tj.pdf"; name_additions=["Vishay", "TJ3", "BigPads"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 16.8; w2=w/3; h = 9.2; ddrill = 1.2; rm=7.1; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34079/tj.pdf"; name_additions=["Vishay", "TJ3"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 22.4; w2=w/3; h = 10.2; ddrill = 1.5; rm=7.9; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34079/tj.pdf"; name_additions=["Vishay", "TJ4"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 25.4; w2=w/3; h = 14.7; ddrill = 1.5; rm=12.2; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34079/tj.pdf"; name_additions=["Vishay", "TJ5", "BigPads"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 25.4; w2=w/3; h = 14.7; ddrill = 1.2; rm=12.2; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34079/tj.pdf"; name_additions=["Vishay", "TJ5"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 35.1; w2=w/3; h = 21.1; ddrill = 1.5; rm=18.5; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34079/tj.pdf"; name_additions=["Vishay", "TJ6"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 41.9; w2=w/3; h = 19.1; ddrill = 1.5; rm=15.8; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34079/tj.pdf"; name_additions=["Vishay", "TJ7"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 48.8; w2=w/3; h = 25.4; ddrill = 1.7; rm=20.8; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34079/tj.pdf"; name_additions=["Vishay", "TJ8"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 67.6; w2=w/3; h = 36.1; ddrill = 2; rm=31.8; rm2=0; R_POW=0; add_description = "http://www.vishay.com/docs/34079/tj.pdf"; name_additions=["Vishay", "TJ9"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)

    w = 28.6; w2=w/3; h = 14.3; ddrill = 1.8; rm=11.43; rm2=0; R_POW=0; add_description = "http://www.bourns.com/docs/Product-Datasheets/5700_series.pdf"; name_additions=["Bourns", "5700"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 31.8; w2=w/3; h = 15.9; ddrill = 1.8; rm=13.5; rm2=0; R_POW=0; add_description = "http://www.bourns.com/docs/Product-Datasheets/5700_series.pdf"; name_additions=["Bourns", "5700"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 46; w2=w/3; h = 19.1; ddrill = 1.9; rm=21.8; rm2=0; R_POW=0; add_description = "http://www.bourns.com/docs/Product-Datasheets/5700_series.pdf"; name_additions=["Bourns", "5700"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 54; w2=w/3; h = 23.8; ddrill = 1.8; rm=20.1; rm2=0; R_POW=0; add_description = "http://www.bourns.com/docs/Product-Datasheets/5700_series.pdf"; name_additions=["Bourns", "5700"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 14; w2=w/3; h = 5.6; ddrill = 0.8; rm=5.3; rm2=0; R_POW=0; add_description = "http://www.bourns.com/docs/Product-Datasheets/5700_series.pdf"; name_additions=["Bourns", "5700"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 17.8; w2=w/3; h = 8.1; ddrill = 0.9; rm=7.62; rm2=0; R_POW=0; add_description = "http://www.bourns.com/docs/Product-Datasheets/5700_series.pdf"; name_additions=["Bourns", "5700"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 19.1; w2=w/3; h = 8.1; ddrill = 0.8; rm=7.1; rm2=0; R_POW=0; add_description = "http://www.bourns.com/docs/Product-Datasheets/5700_series.pdf"; name_additions=["Bourns", "5700"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)
    w = 21.6; w2=w/3; h = 9.1; ddrill = 1.1; rm=8.4; rm2=0; R_POW=0; add_description = "http://www.bourns.com/docs/Product-Datasheets/5700_series.pdf"; name_additions=["Bourns", "5700"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=w)



    type = "simple"
    classname = "L_CommonMode_Toroid"

    w = 0.76*25.4; w2=w/3; h = 0.425*25.4; ddrill = 1.5; rm=0.25*25.4; rm2=0.6*25.4; iw=w; ih=rm; R_POW=0; add_description = "http://datasheet.octopart.com/8120-RC-Bourns-datasheet-10228452.pdf"; name_additions=["Bourns", "8100"]
    makeResistorRadial(pins=4, seriesname=seriesname, rm=rm, w=w, h=h, innerw=iw, innerh=ih, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=31)
    w = 1.2*25.4; w2=w/3; h = 0.6*25.4; ddrill = 1.5; rm=0.4*25.4; rm2=0.8*25.4; iw=w; ih=rm; R_POW=0; add_description = "http://datasheet.octopart.com/8120-RC-Bourns-datasheet-10228452.pdf"; name_additions=["Bourns", "8100"]
    makeResistorRadial(pins=4, seriesname=seriesname, rm=rm, w=w, h=h, innerw=iw, innerh=ih, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=31)
    w = 1.35*25.4; w2=w/3; h = 0.8*25.4; ddrill = 1.5; rm=0.6*25.4; rm2=0.9*25.4; iw=w; ih=rm; R_POW=0; add_description = "http://datasheet.octopart.com/8120-RC-Bourns-datasheet-10228452.pdf"; name_additions=["Bourns", "8100"]
    makeResistorRadial(pins=4, seriesname=seriesname, rm=rm, w=w, h=h, innerw=iw, innerh=ih, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=31)
    w = 1.45*25.4; w2=w/3; h = 0.8*25.4; ddrill = 1.5; rm=0.6*25.4; rm2=0.9*25.4; iw=w; ih=rm; R_POW=0; add_description = "http://datasheet.octopart.com/8120-RC-Bourns-datasheet-10228452.pdf"; name_additions=["Bourns", "8100"]
    makeResistorRadial(pins=4, seriesname=seriesname, rm=rm, w=w, h=h, innerw=iw, innerh=ih, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=31)
    w = 1.50*25.4; w2=w/3; h = 0.8*25.4; ddrill = 1.8; rm=0.6*25.4; rm2=0.9*25.4; iw=w; ih=rm; R_POW=0; add_description = "http://datasheet.octopart.com/8120-RC-Bourns-datasheet-10228452.pdf"; name_additions=["Bourns", "8100"]
    makeResistorRadial(pins=4, seriesname=seriesname, rm=rm, w=w, h=h, innerw=iw, innerh=ih, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=31)
    w = 1.55*25.4; w2=w/3; h = 0.8*25.4; ddrill = 1.5; rm=0.6*25.4; rm2=0.9*25.4; iw=w; ih=rm; R_POW=0; add_description = "http://datasheet.octopart.com/8120-RC-Bourns-datasheet-10228452.pdf"; name_additions=["Bourns", "8100"]
    makeResistorRadial(pins=4, seriesname=seriesname, rm=rm, w=w, h=h, innerw=iw, innerh=ih, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=31)
    w = 1.65*25.4; w2=w/3; h = 0.8*25.4; ddrill = 1.5; rm=0.6*25.4; rm2=0.9*25.4; iw=w; ih=rm; R_POW=0; add_description = "http://datasheet.octopart.com/8120-RC-Bourns-datasheet-10228452.pdf"; name_additions=["Bourns", "8100"]
    makeResistorRadial(pins=4, seriesname=seriesname, rm=rm, w=w, h=h, innerw=iw, innerh=ih, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=31)
    w = 1.7*25.4; w2=w/3; h = 0.9*25.4; ddrill = 2.2; rm=0.7*25.4; rm2=1.2*25.4; iw=w; ih=rm; R_POW=0; add_description = "http://datasheet.octopart.com/8120-RC-Bourns-datasheet-10228452.pdf"; name_additions=["Bourns", "8100"]
    makeResistorRadial(pins=4, seriesname=seriesname, rm=rm, w=w, h=h, innerw=iw, innerh=ih, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=31)
    w = 21; w2=w/3; h = 10; ddrill = 1.1; rm=5.08; rm2=12.7; iw=w; ih=rm; R_POW=0; add_description = "http://www.murata-ps.com/data/magnetics/kmp_5100.pdf"; name_additions=["Murata", "5100"]
    makeResistorRadial(pins=4, seriesname=seriesname, rm=rm, w=w, h=h, innerw=iw, innerh=ih, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=31)
    w = 24; w2=w/3; h = 16.3; ddrill = 1.1; rm=10.16; rm2=20.32; iw=w; ih=rm; R_POW=0; add_description = "http://www.murata-ps.com/data/magnetics/kmp_5200.pdf"; name_additions=["Murata", "5200"]
    makeResistorRadial(pins=4, seriesname=seriesname, rm=rm, w=w, h=h, innerw=iw, innerh=ih, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, deco=deco, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=31)



    rm2=0; w2=0
    type = "round"
    seriesname = "Radial"
    deco=""
    classname = "L"
    libname = "Inductor_THT"
    w = 12.0; w2=w; h = w; ddrill = 1.2; rm=10.0; rm2=0; R_POW=0; add_description = "http://www.neosid.de/produktblaetter/neosid_Festinduktivitaet_Sd12k.pdf"; name_additions=["Neosid", "SD12k", "style1"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=13)
    w = 12.0; w2=w; h = w; ddrill = 1.2; rm=5.0; rm2=0; R_POW=0; add_description = "http://www.neosid.de/produktblaetter/neosid_Festinduktivitaet_Sd12k.pdf"; name_additions=["Neosid", "SD12k", "style2"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=13)
    w = 10.0; w2=w; h = w; ddrill = 1.2; rm=5.0; rm2=0; R_POW=0; add_description = "http://www.neosid.de/produktblaetter/neosid_Festinduktivitaet_Sd12k.pdf"; name_additions=["Neosid", "SD12k", "style3"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=12.5)
    w = 12.0; w2=w; h = w; ddrill = 1.2; rm=10.0; rm2=0; R_POW=0; add_description = "http://www.neosid.de/produktblaetter/neosid_Festinduktivitaet_Sd12.pdf"; name_additions=["Neosid", "SD12", "style1"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=20)
    w = 12.0; w2=w; h = w; ddrill = 1.2; rm=5.0; rm2=0; R_POW=0; add_description = "http://www.neosid.de/produktblaetter/neosid_Festinduktivitaet_Sd12.pdf"; name_additions=["Neosid", "SD12", "style2"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=20)
    w = 10.0; w2=w; h = w; ddrill = 1.2; rm=5.0; rm2=0; R_POW=0; add_description = "http://www.neosid.de/produktblaetter/neosid_Festinduktivitaet_Sd12.pdf"; name_additions=["Neosid", "SD12", "style3"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=19.5)
    w = 14.2; w2=w; h = w; ddrill = 1.2; rm=10.0; rm2=0; R_POW=0; add_description = "http://www.neosid.de/produktblaetter/neosid_Festinduktivitaet_Sd14.pdf"; name_additions=["Neosid", "SD14"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=24.5)

    type = "simple"
    w = 7.5; w2=w; h = 4.6; ddrill = 0.8; rm=5.0; rm2=0; R_POW=0; add_description = "http://www.neosid.de/produktblaetter/neosid_Festinduktivitaet_Sd75.pdf"; name_additions=["Neosid", "SD75"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=10.5)
    w = 8; w2=w; h = 8; ddrill = 0.8; rm=5.0; rm2=0; R_POW=0; add_description = "http://www.neosid.de/produktblaetter/neosid_Festinduktivitaet_Sd8.pdf"; name_additions=["Neosid", "SD8"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=9.6)
    w = 8; w2=w; h = 8; ddrill = 1.2; rm=5.0; rm2=0; R_POW=0; add_description = "http://www.neosid.de/produktblaetter/neosid_Festinduktivitaet_NE_CPB07E.pdf"; name_additions=["Neosid", "NE-CPB-07E"]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=7.5)

    type = "simplesymm45"
    w = 11.5; w2=w; h = 11.5; ddrill = 1.8; rm=6.0; rm2=6; R_POW=0; add_description = "http://www.neosid.de/produktblaetter/neosid_Festinduktivitaet_NE_CPB11EN.pdf"; name_additions=["Neosid", "NE-CPB-11EN", "Drill{0:0.1f}mm".format(ddrill)]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=9.6)
    w = 11.5; w2=w; h = 11.5; ddrill = 1.7; rm=6.0; rm2=6; R_POW=0; add_description = "http://www.neosid.de/produktblaetter/neosid_Festinduktivitaet_NE_CPB11EN.pdf"; name_additions=["Neosid", "NE-CPB-11EN", "Drill{0:0.1f}mm".format(ddrill)]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=9.6)
    w = 11.5; w2=w; h = 11.5; ddrill = 1.5; rm=6.0; rm2=6; R_POW=0; add_description = "http://www.neosid.de/produktblaetter/neosid_Festinduktivitaet_NE_CPB11EN.pdf"; name_additions=["Neosid", "NE-CPB-11EN", "Drill{0:0.1f}mm".format(ddrill)]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=9.6)
    w = 11.5; w2=w; h = 11.5; ddrill = 1.3; rm=6.0; rm2=6; R_POW=0; add_description = "http://www.neosid.de/produktblaetter/neosid_Festinduktivitaet_NE_CPB11EN.pdf"; name_additions=["Neosid", "NE-CPB-11EN", "Drill{0:0.1f}mm".format(ddrill)]
    makeResistorRadial(seriesname=seriesname, rm=rm, w=w, h=h, ddrill=ddrill, R_POW=R_POW, rm2=rm2, vlines=False, w2=w2, type=type, x_3d=[0, 0, 0], s_3d=[1, 1, 1], has3d=1, specialfpname="", name_additions=name_additions, specialtags=name_additions, add_description=add_description, classname=classname, lib_name=libname, height3d=9.6)
